[Hackage] #626: Package build error due to unicode

Hackage trac at galois.com
Tue Jan 26 10:21:31 EST 2010

#626: Package build error due to unicode
  Reporter:  basvandijk         |        Owner:         
      Type:  defect             |       Status:  new    
  Priority:  normal             |    Milestone:         
 Component:  hackageDB website  |      Version:
  Severity:  normal             |     Keywords:         
Difficulty:  unknown            |   Ghcversion:         
  Platform:                     |  
 The following packages don't build on hackage due to the same error:

 * http://hackage.haskell.org/package/regions-0.3

 * http://hackage.haskell.org/package/ftdi-0.1

 log] contains the following error:

 {{{haddock: internal Haddock or GHC error:
 dist/doc/html/regions/regions.txt: commitAndReleaseBuffer: invalid
 argument (Invalid or incomplete multibyte or wide character)}}}

 I think the .txt file is generated because of the haddock {{{--hoogle}}}

 '''Note that these package make heavy use of Unicode syntax and

 Note that {{{cabal haddock}}} works perferctly on my local system (tested
 with ghc-6.10.4 + haddock-2.5 + cabal-install-0.6.2 and ghc-6.12.1 +
 haddock-2.6.0 + cabal-install-0.8.0)

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/626>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list